angular.module("menu", []).constant("Menu", {
  PURCHASEORDER : {
    authority : "786",
    state : "eventmenu.purchaseEdit",
    stateParam : {
      purchaseSn : "",
      billID : "",
      timeStamp : 0
    },
    "class" : "icon-fun-purchase lb-color-box-1",
    tabClass : "icon-fun-purchase lb-color-tab-1"
  },
  PURCHASELIST : {
    authority : "785",
    state : "eventmenu.purchaseList",
    "class" : "icon-fun-purchase-his lb-color-box-7",
    tabClass : "icon-fun-purchase-his lb-color-tab-7"
  },
  PURCHASERETURNORDER : {
    authority : "793",
    state : "eventmenu.purchaseReturnEdit",
    stateParam : {
      purchaseSn : "",
      billID : "",
      timeStamp : 0
    },
    "class" : "icon-fun-purchase-re lb-color-box-6",
    tabClass : "icon-fun-purchase-re lb-color-tab-6"
  },
  PURCHASERETURNLIST : {
    authority : "792",
    state : "eventmenu.purchaseReturnList",
    "class" : "icon-fun-purchase-re-his lb-color-box-2",
    tabClass : "icon-fun-purchase-re-his lb-color-tab-2"
  },
  //供应商管理
  SUPPLIERMGMT : {
    authority : "2129",
    state : "eventmenu.supplierList",
    "class" : "icon-fun-supplier lb-color-box-4",
    tabClass : "icon-fun-supplier lb-color-tab-4"
  },
  WHOLESALEORDER : {
    authority : "807",
    state : "eventmenu.saleEdit",
    stateParam : {
      ordersSn : "",
      timeStamp : 0
    },
    "class" : "icon-fun-sale lb-color-box-3",
    tabClass : "icon-fun-sale lb-color-tab-3"
  },
  WHOLESALELIST : {
    authority : "806",
    state : "eventmenu.saleList",
    "class" : "icon-fun-sale-his lb-color-box-7",
    tabClass : "icon-fun-sale-his lb-color-tab-7"
  },
  WHOLESALERETURNORDER : {
    authority : "814",
    state : "eventmenu.saleReturnEdit",
    stateParam : {
      ordersSn : "",
      timeStamp : 0
    },
    "class" : "icon-fun-sale-re lb-color-box-6",
    tabClass : "icon-fun-sale-re lb-color-tab-6"
  },
  WHOLESALERETURNLIST : {
    authority : "813",
    state : "eventmenu.saleReturnList",
    "class" : "icon-fun-sale-re-his lb-color-box-2",
    tabClass : "icon-fun-sale-re-his lb-color-tab-2"
  },
  RETAILLIST : {
    authority : "820",
    state : "eventmenu.retailList",
    "class" : "icon-fun-retail-his lb-color-box-7",
    tabClass : "icon-fun-retail-his lb-color-tab-7"
  },
  RETAILEDIT : {
    authority : "821",
    state : "eventmenu.retailEdit",
    stateParam : {
      timeStamp : 0
    },
    "class" : "icon-fun-retail lb-color-box-4",
    tabClass : "icon-fun-retail lb-color-tab-4"
  },
  //盘点单
  STORESTOCKORDER : {
    authority : "2102",
    state : "eventmenu.storeEdit",
    stateParam : {
      orderNo : "",
      timeStamp : 0,
      billID : ""
    },
    "class" : "icon-fun-store lb-color-box-3",
    tabClass : "icon-fun-store lb-color-tab-3"
  },
//盘点历史
  STORESTOCKLIST : {
    authority : "2101",
    state : "eventmenu.storeList",
    "class" : "icon-fun-store-his lb-color-box-7",
    tabClass : "icon-fun-store-his lb-color-tab-7"
  },
  //库存查询
  STORESTOCKSEARCH : {
    authority : "2948",
    state : "eventmenu.stockSearch",
    "class" : "icon-fun-store-query lb-color-box-5",
    tabClass : "icon-fun-store-query lb-color-tab-5"
  },
  GOODSTORERECORD : {
    authority : "2948",
    state : "eventmenu.goodStoreQuery",
    "class" : "icon-fun-store-record lb-color-box-10",
    tabClass : "icon-fun-store-record lb-color-tab-10"
  },
  //仓库管理
  STOREHOUSELIST : {
    authority : "2143",
    state : "eventmenu.storeHouseList",
    "class" : "icon-fun-storeHouse lb-color-box-5",
    tabClass : "icon-fun-storeHouse lb-color-tab-5"
  },
  //库存调拨单
/*  STORETRANSFRERORDER : {
    authority : "954",
    state : "eventmenu.storeTransferEdit",
    stateParam : {
      orderNo : "",
      timeStamp : 0
    },
    "class" : "icon-fun-transfer lb-color-box-5",
    tabClass : "icon-fun-transfer lb-color-tab-5"
  },*/
//库存调拨历史
/*  STORETRANSFRERLIST : {
    authority : "953",
    state : "eventmenu.storeTransferList",
    "class" : "icon-fun-transfer-his lb-color-box-8",
    tabClass : "icon-fun-transfer-his lb-color-tab-8"
  },*/
//客户管理
  CLIENTMGMT : {
    authority : "2129",
    state : "eventmenu.clientList",
    "class" : "icon-fun-client lb-color-box-7",
    tabClass : "icon-fun-client lb-color-tab-7"
  },
  //商品管理
  GOODMGMT : {
    authority : "2157",
    state : "eventmenu.goodList",
    "class" : "icon-fun-goods lb-color-box-1",
    tabClass : "icon-fun-goods lb-color-tab-1"
  },
  //统计图表
/*  CHARTMAIN : {
    authority : "3284",
    state : "eventmenu.saleVolumeChart",
    "class" : "icon-fun-sum lb-color-box-1",
    tabClass : "icon-fun-sum lb-color-tab-1"
  },*/
//经营概况
/*  OPERATEDETAIL : {
    authority : "3284",
    state : "eventmenu.operateDetail",
    "class" : "icon-fun-overview lb-color-box-4",
    tabClass : "icon-fun-overview lb-color-tab-4"
  },*/
  //进货报表
  PURCHASEREPORT : {
    authority : "3025",
    state : "eventmenu.purchaseReportDetail",
    "class" : "icon-fun-purchaseReport lb-color-box-8",
    tabClass : "icon-fun-purchaseReport lb-color-tab-8"
  },
  SALEREPORT : {
    authority : "3018",
    state : "eventmenu.saleReportDetail",
    "class" : "icon-fun-saleReport lb-color-box-5",
    tabClass : "icon-fun-saleReport lb-color-tab-5"
  },
  //盘点报表
/*  STOREREPORT : {
    authority : "3445",
    state : "eventmenu.storeReportDetail",
    "class" : "icon-fun-storeReport lb-color-box-9",
    tabClass : "icon-fun-storeReport lb-color-tab-9"
  },*/
//调拨报表
/*  TRANSFERREPORT : {
    authority : "3039",
    state : "eventmenu.transferReportDetail",
    "class" : "icon-fun-tranfersReport lb-color-box-2",
    tabClass : "icon-fun-tranfersReport lb-color-tab-2"
  },*/
//进销对比
/*  PURCHASEVSSALE : {
    authority : "3046",
    state : "eventmenu.purchaseVsSaleList",
    "class" : "icon-fun-purchaseVsSaleReport lb-color-box-7",
    tabClass : "icon-fun-purchaseVsSaleReport lb-color-tab-7"
  },*/
  ACCOUNTFINANCE : {
    authority : "2976",
    state : "eventmenu.accountFinanceList",
    "class" : "icon-fun-financeAcc lb-color-box-10",
    tabClass : "icon-fun-financeAcc lb-color-tab-10"
  },
  //客户管理
  CLIENTMACC : {
    authority : "2129",
    state : "eventmenu.clientDebt",
    "class" : "icon-fun-clientAcc lb-color-box-4",
    tabClass : "icon-fun-clientAcc lb-color-tab-4"
  },
  //供应商管理
  SUPPLIERACC : {
    authority : "2129",
    state : "eventmenu.supplierAcc",
    "class" : "icon-fun-supplierAcc lb-color-box-2",
    tabClass : "icon-fun-supplierAcc lb-color-tab-2"
  },
  ACCOUNTLIST : {
    authority : "2171",
    state : "eventmenu.accountList",
    "class" : "icon-fun-account lb-color-box-5",
    tabClass : "icon-fun-account lb-color-tab-5"
  },
  ACCOUNTITEMLIST : {
    authority : "2178",
    state : "eventmenu.accountItemList",
    "class" : "icon-fun-accountItem lb-color-box-8",
    tabClass : "icon-fun-accountItem lb-color-tab-8"
  },
  //物流管理
/*  DELIVERYCOMPANY : {
    authority : "2206",
    state : "eventmenu.deliveryCompanyList",
    "class" : "icon-fun-deliveryView lb-color-box-8",
    tabClass : "icon-fun-deliveryView lb-color-tab-8"
  },*/
//快递单打印
/*  WHOLELOGISTICSORDERLIST : {
    authority : "810",
    state : "eventmenu.logisticsOrderList",
    "class" : "icon-fun-wholesaleOrder lb-color-tab-10",
    tabClass : "icon-fun-wholesaleOrder lb-color-tab-10"
  },*/
//快速收款
/*  CASH : {
    authority : "1199",
    state : "eventmenu.cash",
    "class" : "icon-fun-QuickCash lb-color-box-5",
    tabClass : "icon-fun-QuickCash lb-color-tab-5"
  },*/
  SIGNIN : {
    authority : "7057",
    state : "eventmenu.SignIn",
    "class" : "iconfontAli icon-dingwei lb-color-box-3",
    tabClass : "iconfontAli icon-dingwei lb-color-tab-3"
  },
  SIGNINQUERY : {
    authority : "7064",
    state : "eventmenu.SignInQuery",
    "class" : "iconfontAli icon-chaxun lb-color-box-3",
    tabClass : "iconfontAli icon-chaxun lb-color-tab-3"
  },
  SIGNINCOUNT : {
    authority : "7071",
    state : "eventmenu.SignInCount",
    "class" : "iconfontAli icon-ziyuan lb-color-box-3",
    tabClass : "iconfontAli icon-ziyuan lb-color-tab-3"
  },
  //虚拟库存
  VIRTUALSTOCK : {
    authority : "3109",
    state : "eventmenu.VirtualStock",
    "class" : "iconfontAli icon-cangkucunchu lb-color-box-4",
    tabClass : "iconfontAli icon-cangkucunchu lb-color-tab-4"
  }
});
"use strict";
